summaryrefslogtreecommitdiff
path: root/tests/tests/fetch-somegit-notlast
diff options
context:
space:
mode:
Diffstat (limited to 'tests/tests/fetch-somegit-notlast')
-rwxr-xr-xtests/tests/fetch-somegit-notlast15
1 files changed, 15 insertions, 0 deletions
diff --git a/tests/tests/fetch-somegit-notlast b/tests/tests/fetch-somegit-notlast
new file mode 100755
index 0000000..3943512
--- /dev/null
+++ b/tests/tests/fetch-somegit-notlast
@@ -0,0 +1,15 @@
+#!/bin/bash
+
+set -e
+. tests/lib
+
+t-git pari-extra 3-1
+t-archive pari-extra 3-2~dummy1
+
+t-dgit clone $p
+cd $p
+
+t-cloned-fetched-good
+t-has-ancestor debian/3-1
+
+echo ok